<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>hk.quantr.eda</groupId>
	<artifactId>verilog-grammar-tester</artifactId>
	<version>1.0</version>
	<packaging>jar</packaging>
	<name>Verilog Grammar Tester</name>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>19</maven.compiler.source>
		<maven.compiler.target>19</maven.compiler.target>
		<exec.mainClass>hk.quantr.eda.verilog.grammar.tester.VerilogGrammarTester</exec.mainClass>
	</properties>
	<repositories>
		<repository>
			<id>quantr</id>
			<url>https://maven.quantr.hk/repo</url>
		</repository>
	</repositories>
	<distributionManagement>
		<repository>
			<id>quantr</id>
			<url>file:///home/maven.quantr.hk/www/repo</url>
		</repository>
	</distributionManagement>
	<developers>
		<developer>
			<id>peter</id>
			<name>Peter</name>
			<email>peter@quantr.hk</email>
			<url>https://peter.quantr.hk</url>
			<organization>Quantr</organization>
			<organizationUrl>https://www.quantr.foundation</organizationUrl>
			<roles>
				<role>architect</role>
				<role>founder</role>
			</roles>
			<timezone>+8</timezone>
			<properties>
				<picUrl>http://s.gravatar.com/avatar/09ab35661cb9508c728f11e3b62d24ba?s=80</picUrl>
			</properties>
		</developer>
	</developers>
	
	<build>
		<plugins>
			<plugin>
				<groupId>org.antlr</groupId>
				<artifactId>antlr4-maven-plugin</artifactId>
				<version>4.11.1</version>
				<configuration>
					<sourceDirectory>${basedir}/src/main/java/hk/quantr/eda/verilog/grammar/tester/antlr</sourceDirectory>
					<includes>
						<include>VerilogLexer.g4</include>
						<include>VerilogParser.g4</include>
						<include>VerilogPreParser.g4</include>
					</includes>
					<visitor>true</visitor>
					<listener>true</listener>
				</configuration>
				<executions>
					<execution>
						<goals>
							<goal>antlr4</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>com.khubla.antlr</groupId>
				<artifactId>antlr4test-maven-plugin</artifactId>
				<version>1.22</version>
				<configuration>
					<verbose>false</verbose>
					<showTree>false</showTree>
					<entryPoint>source_text</entryPoint>
					<grammarName>Verilog</grammarName>
					<packageName></packageName>
					<exampleFiles>examples/</exampleFiles>
				</configuration>
				<executions>
					<execution>
						<goals>
							<goal>test</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
	
	<dependencies>
		<dependency>
			<groupId>org.antlr</groupId>
			<artifactId>antlr4-runtime</artifactId>
			<version>4.11.1</version>
			<type>jar</type>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.13.2</version>
		</dependency>
	</dependencies>
</project>